Skip to content

Create Do Not Interact instances on all subcases

Request

Security
oauth2(Required scopes: supercase:bulk.create.dni) or bearerAuth or apiKeyHeader
Path
supercaseIdstringrequired

The ID of the supercase

Bodyapplication/jsonrequired
channelsArray of strings

Channel(s) for which outbound interactions with a borrower are blocked. Use value all for all channels.

contactLabelsArray of strings

A list of contact labels. A person's mobile phone is labeled as personal. A person's work phone is labeled as work. A person's home phone is labeled as home. A person's home address is labeled as home.

daysOfWeekArray of numbers, (int32)

A list of days of week at which to block.

Valid range is 1-7. 1=Monday...7=Sunday. For example: [1, 2, 4].

  • If the day of week matches any of the values specified here, then the interaction is blocked.
  • If this array is empty, then the interaction is blocked for all days of week.
Example:
[ 1, 2, 4 ]
endDatestring or null, (date)(DoNotInteractEndDate)

A future date when interaction restrictions will be lifted. The value format is date only, without time. If today is endDate, the restriction will remain until the end of day in the product timezone. If no value is provided, doNotInteract will remain in effect until Remove do not interact is called or endDate is set to a date in the past.

themesArray of strings

Theme(s) for which outbound interactions with a borrower are blocked. Use value all for all themes. all doesn't include opsAccountCredentials. For example, use opsCollDebt to stop debt collection interactions.

timesOfDayArray of objects(schemas-TimeOfDay)

A list of times of day at which to block—in hour resolution.

  • If the time falls into any of the ranges specified here, then the interaction is blocked.
  • If this array is empty, then the interaction is blocked for all times of day.
timezonestring

The time zone where the borrower is located. If provided, the time zone will be used for restriction. If not provided, the system will use the borrower's home address time zone.

startDatestring, (date)

The start date for blocking interactions with a borrower. The value format is date only, without time. The start date can be a future date. If the value is not provided, or equal to today's date, or a date in the past, then the doNotIteract will be effective as soon as we process the request.

POST
/supercases/{supercaseId}/bulk-create-do-not-interact
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/supercases/{supercaseId}/bulk-create-do-not-interact' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channels": [
      "all"
    ],
    "contactLabels": [
      "personal"
    ],
    "daysOfWeek": [
      1,
      2,
      4
    ],
    "endDate": "2019-08-24",
    "themes": [
      "all"
    ],
    "timesOfDay": [
      {
        "fromHour": 0,
        "toHour": 0
      }
    ],
    "timezone": "string",
    "startDate": "2019-08-24"
  }'

Responses

Accepted

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject
Response
{ "message": "string", "status": 0, "data": { "operationId": "string" } }